summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPiotr Karbowski <slashbeast@gentoo.org>2020-03-03 21:24:59 +0100
committerPiotr Karbowski <slashbeast@gentoo.org>2020-03-03 21:30:13 +0100
commitf79481281254b30f80bf116dacea59a528047ad1 (patch)
tree90619171373837feb9cb98650078846965f615b8 /net-vpn/networkmanager-l2tp
parentmedia-plugins/vdr-wirbelscan: license, wrong named lib on install fixed (diff)
downloadgentoo-f79481281254b30f80bf116dacea59a528047ad1.tar.gz
gentoo-f79481281254b30f80bf116dacea59a528047ad1.tar.bz2
gentoo-f79481281254b30f80bf116dacea59a528047ad1.zip
net-vpn/networkmanager-l2tp: 1.8.0 bump; adding myself as another maintainer.
Added strongswan as alternative to libreswan that does not mantke Meraki and added dependency on gnome-extra/nm-applet as it lnks to libnma if USE=gnome. As alexxy seems to be unreachable for 2 weeks already, doing the bump and adding myself as maintainer. Closes: https://bugs.gentoo.org/711358 Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>
Diffstat (limited to 'net-vpn/networkmanager-l2tp')
-rw-r--r--net-vpn/networkmanager-l2tp/Manifest1
-rw-r--r--net-vpn/networkmanager-l2tp/metadata.xml4
-rw-r--r--net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.8.0.ebuild56
3 files changed, 61 insertions, 0 deletions
diff --git a/net-vpn/networkmanager-l2tp/Manifest b/net-vpn/networkmanager-l2tp/Manifest
index a23ae6294c8..f925553d1d1 100644
--- a/net-vpn/networkmanager-l2tp/Manifest
+++ b/net-vpn/networkmanager-l2tp/Manifest
@@ -1 +1,2 @@
DIST NetworkManager-l2tp-1.2.12.tar.xz 397496 BLAKE2B 7ff57356dcb27d37af52d2f1778875632f65705ee2bff6a047415fef2c1d34fcc11abae08053283ba63ffe92726efc32027d703f50c82a1527f500b81305794f SHA512 b3e6ab72e81df568b77afabd91cef40b35d2b9227087495b0b44f966ef937b6c78ccc94b019102c13fc76ba443f850fffe1ad7445f5967a1737532036e632422
+DIST NetworkManager-l2tp-1.8.0.tar.xz 435964 BLAKE2B 05267b4bb1a824cd9478b79af4b07535b0b9245d34f49397feb778d806c814d6a7bcf723545d53b9f3d2d39e6de079fac00407e7c8d0e6389394aaf6a432b16f SHA512 8ef6732dbef2d24a51c6f70bcd98b272244dfc4d89e888e0d2c6c12b0042c1bcc750b73cdfda3489f4987af4fe85df4fc54976c48151996aa205939671d250da
diff --git a/net-vpn/networkmanager-l2tp/metadata.xml b/net-vpn/networkmanager-l2tp/metadata.xml
index 086586c08a8..a9662f61fac 100644
--- a/net-vpn/networkmanager-l2tp/metadata.xml
+++ b/net-vpn/networkmanager-l2tp/metadata.xml
@@ -2,6 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
+ <email>slashbeast@gentoo.org</email>
+ <name>Piotr Karbowski</name>
+ </maintainer>
+ <maintainer type="person">
<email>alexxy@gentoo.org</email>
<name>Alexey Shvetsov</name>
</maintainer>
diff --git a/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.8.0.ebuild b/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.8.0.ebuild
new file mode 100644
index 00000000000..cf78b867850
--- /dev/null
+++ b/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.8.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="NetworkManager-l2tp"
+MY_P="${MY_PN}-${PV}"
+
+inherit eutils gnome.org autotools
+
+DESCRIPTION="NetworkManager L2TP plugin"
+HOMEPAGE="https://github.com/nm-l2tp/network-manager-l2tp"
+SRC_URI="https://github.com/nm-l2tp/${MY_PN}/releases/download/${PV}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnome static-libs"
+
+RDEPEND="
+ >=net-misc/networkmanager-1.2[ppp]
+ dev-libs/dbus-glib
+ net-dialup/ppp[eap-tls]
+ net-dialup/xl2tpd
+ >=dev-libs/glib-2.32
+ || (
+ net-vpn/strongswan
+ net-vpn/libreswan
+ )
+ gnome? (
+ x11-libs/gtk+:3
+ gnome-base/libgnome-keyring
+ gnome-extra/nm-applet
+ )"
+
+BDEPEND="${RDEPEND}
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eautoreconf
+ eapply_user
+}
+
+src_configure() {
+ local myeconfargs=(
+ --localstatedir=/var
+ $(use_with gnome)
+ $(use_enable static-libs static)
+ )
+
+ econf "${myeconfargs[@]}"
+}